from django.conf.urls import url
import company.views as company_views
# from rest_framework.urlpatterns import format_suffix_patterns

urlpatterns = [   
    url(r'^children/$', company_views.json_children),
    url(r'^create/user/$', company_views.create_user),
    url(r'^list/user/$', company_views.list_user),

    url(r'^app_login/$', company_views.app_login),
    # 2023-09-01 第三方app登录录
    url(r'^app_login/(?P<thirdparty>\w+)/$', company_views.app_login),
    
    url(r'^tj_os_login/$', company_views.tj_os_login),


    url(r'^child/level/(?P<company_id>\d+)/$', company_views.child_level),
    



    url(r'^json/subdivision/(?P<division_id>\d+)/$', company_views.json_sub_sal_division),

    url(r'^wx/login/$', company_views.wx_longin),
    
    #2020-01-17
    url(r'^initpwd/(?P<uid>\d+)/$', company_views.InitPassword),

    #2020-05-15
    url(r'^terminal/register/$', company_views.terminal_register),
    url(r'^list/register/$', company_views.list_terminal_register),
    url(r'^list/agent/order/$', company_views.list_agent_order),
    url(r'^list/agent/order_data/$', company_views.list_agent_order_data),
    url(r'^list/agent/order_review/$', company_views.list_agent_order_review),
    url(r'^list/agent/order_return/$', company_views.list_agent_order_return),
    url(r'^list/agent/order/(?P<id>\d+)/$', company_views.list_agent_order_review_detail),

    
    url(r'^register/approve/(?P<id>\d+)/$', company_views.terminal_register_approve),
    

    url(r'^brandrecommender_active/$',company_views.toggle_brandrecommender_active),

    url(r'^upload/register/image/(?P<what>\w+)/$', company_views.upload_register_img),  
    url(r'^upload/image/(?P<what>\w+)/$', company_views.upload_img),    
    url(r'^(?P<company_id>\d+)/agent/$', company_views.app_get_agent),

    
    #url(r'^agent/order/$', company_views.agent_order),

    url(r'^close/agent/order/(?P<id>\d+)/$', company_views.close_agent_order),
    

    #2020-09-10
    url(r'^ajax/parent/level/(?P<id>\d+)/$', company_views.ajax_parent_levels),

    
    #2020-11-24
    url(r'^create/enterprise/$', company_views.create_enterprise),  
    url(r'^delete/demo/stk/$', company_views.delete_demo_stk_batch), 


    
    #2020-12-10
    url(r'^edit/staffdiv/$', company_views.edit_staffdiv), 
    url(r'^edit/staffdiv/(?P<id>\d+)/$', company_views.edit_staffdiv), 
    url(r'^edit/staffdiv/(?P<id>\d+)/(?P<act>\w+)/$', company_views.edit_staffdiv), 

    url(r'^list/staffdiv/$', company_views.list_staffdiv), 


    #url(r'^get/staff/saldiv/(?P<user_id>\d+)/$', company_views.get_staff_saldiv),
    
    #2021-01-25
    url(r'^application/approve/$', company_views.application_approve), 
    url(r'^user/brands/(?P<id>\d+)/$', company_views.user_brands), 

    #2021-03-05
    url(r'^orginazition/(?P<what>\w+)/$', company_views.orginazition), 
    url(r'^orginazition/(?P<what>\w+)/(?P<id>\d+)/$', company_views.orginazition), 


    #2021-03-07
    url(r'^orginazition/edit/(?P<obj_name>\w+)/$', company_views.orginazition_edit), 
    url(r'^orginazition/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', company_views.orginazition_edit), 
    
    
    #2021-05-11
    url(r'^obj/edit/(?P<obj_name>\w+)/(?P<id>\d+)/$', company_views.obj_edit), 





    url(r'^ajax/uploadfile/$', company_views.ajax_upload_file), 
    url(r'^ajax/get_company_children/$', company_views.get_company_children),
    url(r'^wx/ajax/(?P<obj>\w+)/$', company_views.ajax_company),



    #2021-11-08
    url(r'^print/excel/(?P<what>\w+)/$',company_views.print_excel),
    

    #2022-04-23
    url(r'^datatable/server/(?P<what>\w+)/$',company_views.datatable_server),    
    url(r'^ajax/datatable/(?P<what>\w+)/$',company_views.ajax_datatable),
    
    #2025-02-27 lisin 门店梳理
    url(r'^agent/tease/$',company_views.agent_tease_list),
    url(r'^agent/tease/product$', company_views.agent_tease_product_list),#产品扁平
    url(r'^ajax/agent/tease/$',company_views.agent_tease),


    #2022-05-07
    url(r'^bugsell/mktinspection/list/$',company_views.mkt_inspection_list),
    url(r'^bugsell/mktinspection/edit/$',company_views.mkt_inspection_edit),
    url(r'^bugsell/mktinspection/edit/(?P<id>\d+)/$',company_views.mkt_inspection_edit),

    url(r'^edit/user_with_agents/$', company_views.edit_user_with_agents), 
    url(r'^edit/user_with_agents/(?P<id>\d+)/$', company_views.edit_user_with_agents), 
    url(r'^edit/user_with_agents/(?P<id>\d+)/(?P<act>\w+)/$', company_views.edit_user_with_agents), 
    url(r'^list/user_with_agents/$', company_views.list_user_with_agents), 
    url(r'^children_move/$', company_views.children_move),
    
    ]


